# LJ Template for Rust

**This project is a basic program for building rust programs compatible with the protonphoton LJ project.** 

Use this code as a basis and let the laser points be with you.

## **Crash course**

#### 1. Clone the project
```rust
git clone https://git.interhacker.space/protonphoton/lj_templates_rust && cd lj_templates_rust
```

##### 2. Create a settings file, see the content for more details including redis server url 
```rust
cp copyme.settings.toml settings.toml && $EDITOR settings.toml
```

##### 3. Edit the draw.rs to create your custom behavior  
```rust
$EDITOR src/draw.rs
```

##### 4.  Run the projet
```rust
cargo run
```


## Associate projects

**The LJ rust tracer projet and the nannou visualiser might be of help to simulate your project.**

Todo: make a full tutorial for that
